%if 0%{?fedora} >= 37
%ifarch aarch64,x86_64
%global krun_support enabled
%endif
%else
%global krun_support disabled
%endif

%global built_tag 1.5

Summary: OCI runtime written in C
Name: crun
Version: 1.5
URL: https://github.com/containers/%{name}
Source0: %{url}/releases/download/%{version}/%{name}-%{version}.tar.xz
%if "%{_vendor}" == "debbuild"
Packager: Lokesh Mandvekar <lsm5@fedoraproject.org>
License: GPL-2.0+
Release: 0%{?dist}
%else
License: GPLv2+
Release: 1.0.riscv64%{?dist}
%endif
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: go-md2man
BuildRequires: libtool
%if "%{_vendor}" == "debbuild"
BuildRequires: git
BuildRequires: libcap-dev
BuildRequires: libseccomp-dev
BuildRequires: libsystemd-dev
BuildRequires: libyajl-dev
BuildRequires: pkg-config
%else
BuildRequires: gcc
BuildRequires: git-core
BuildRequires: python3
BuildRequires: libcap-devel
BuildRequires: systemd-devel
BuildRequires: yajl-devel
%if "%{krun_support}" == "enabled"
BuildRequires: libkrun-devel
Provides: krun
%endif
BuildRequires: libseccomp-devel
BuildRequires: libselinux-devel
BuildRequires: python3-libmount
BuildRequires: make
BuildRequires: glibc-static
BuildRequires: protobuf-c-devel
%ifnarch %ix86 riscv64
BuildRequires: criu-devel >= 3.17.1-2
%endif
%endif
%ifnarch riscv64
Requires: criu >= 3.17.1-2
%endif
Provides: oci-runtime

%description
%{name} is a runtime for running OCI containers

%prep
%autosetup -Sgit

%build
./autogen.sh

%configure \
%if "%{krun_support}" == "enabled"
  --with-libkrun \
%endif
%ifarch riscv64
  --disable-criu \
%endif
  --disable-silent-rules

%make_build

%install
%make_install
rm -rf %{buildroot}%{_prefix}/lib*

%if "%{krun_support}" == "enabled"
ln -s %{_bindir}/%{name} %{buildroot}%{_bindir}/krun
%endif

%files
%license COPYING
%{_bindir}/%{name}
%if "%{krun_support}" == "enabled"
%{_bindir}/krun
%endif
%{_mandir}/man1/*

%changelog
